# Created by pyp2rpm-3.3.1
%global pypi_name rawkit

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 6
Summary:        CTypes based LibRaw bindings
Group:          Development/Python
License:        MIT
URL:            https://rawkit.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx) >= 1.3

%description
rawkit (pronounced rocket) is a ctypes-based LibRaw binding for
Python inspired by the Wand API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
rawkit (pronounced rocket) is a ctypes-based LibRaw binding for
Python inspired by the Wand API.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/libraw
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-6.mga8
+ Revision: 1532725
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.6.0-5.mga8
+ Revision: 1442914
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.6.0-4.mga8
+ Revision: 1435713
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.6.0-3.mga7
+ Revision: 1351266
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1289990
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 0.6.0-1.mga7
+ Revision: 1221187
- BR python-mock and python-pytest
- imported package python-rawkit

